# GimpUi.prop_enum_combo_box_new

    function prop_enum_combo_box_new(config: GObject.Object, property_name: String, minimum: Number(gint), maximum: Number(gint)): Gtk.Widget {
        // Gjs wrapper for gimp_prop_enum_combo_box_new()
    }

Creates a GimpUi.IntComboBox widget to display and set the specified enum property. The @mimimum_value and @maximum_value give the possibility of restricting the allowed range to a subset of the enum. If the two values are equal (e.g., 0, 0), then the full range of the Enum is used.

Since 2.4

config

  Object to which property is attached.

property_name

  Name of enum property controlled by combo box.

minimum

  Smallest allowed value of enum.

maximum

  Largest allowed value of enum.

Returns

  The newly created GimpUi.EnumComboBox widget.